Index: experimental/distortionNG/DistortionManipulator.cpp
===================================================================
--- experimental/distortionNG/DistortionManipulator.cpp	(revision 370)
+++ experimental/distortionNG/DistortionManipulator.cpp	(revision 371)
@@ -27,4 +27,6 @@
 #include <osgDB/WriteFile>
 
+#include "DistortionSetupStrategy.h"
+
 using namespace osg;
 using namespace osgViewer;
@@ -38,4 +40,6 @@
 	activeManualSetupMode = DISTORTION;
 	activeVisualizationMode = NONE;
+
+	_delegatedDistortionSetupStrategy = NULL;
 
 	_highlighter = NULL;
@@ -250,7 +254,9 @@
 		case(osgGA::GUIEventAdapter::FRAME):
 		{
-			if ( activeSetupMode == DELEGATED)
-			{
-				OSG_ALWAYS<<"Todo: Calling delegated class!"<<std::endl;
+			if ( activeSetupMode == DELEGATED && _delegatedDistortionSetupStrategy.valid())
+			{
+				OSG_ALWAYS<<"Calling delegated class.."<<std::endl;
+				_delegatedDistortionSetupStrategy->delegateDistortionSetup(_distortionSet);
+				OSG_ALWAYS<<"..done"<<std::endl;
 			}
 			break;
Index: experimental/distortionNG/DistortionManipulator.h
===================================================================
--- experimental/distortionNG/DistortionManipulator.h	(revision 370)
+++ experimental/distortionNG/DistortionManipulator.h	(revision 371)
@@ -28,4 +28,5 @@
 #include <osgText/Text>
 
+#include "DistortionSetupStrategy.h"
 #include "DistortionSet.h"
 
@@ -84,5 +85,5 @@
 
 	osg::ref_ptr<DistortionSet> _distortionSet;
-
+	osg::ref_ptr<DistortionSetupStrategy> _delegatedDistortionSetupStrategy;
 
 	osg::ref_ptr<osg::Geometry> _highlighter;
Index: experimental/distortionNG/DistortionSetupStrategy.cpp
===================================================================
--- experimental/distortionNG/DistortionSetupStrategy.cpp	(revision 371)
+++ experimental/distortionNG/DistortionSetupStrategy.cpp	(revision 371)
@@ -0,0 +1,27 @@
+/* osgVisual test. distortionNG, experimental.
+*
+*  Permission is hereby granted, free of charge, to any person obtaining a copy
+*  of this software and associated documentation files (the "Software"), to deal
+*  in the Software without restriction, including without limitation the rights
+*  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+*  copies of the Software, and to permit persons to whom the Software is
+*  furnished to do so, subject to the following conditions:
+*
+*  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+*  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+*  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+*  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+*  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+*  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+*  THE SOFTWARE.
+*/
+
+#include "DistortionSetupStrategy.h"
+
+DistortionSetupStrategy::DistortionSetupStrategy()
+{
+}
+
+DistortionSetupStrategy::~DistortionSetupStrategy()
+{
+}
Index: experimental/distortionNG/DistortionSetupStrategy.h
===================================================================
--- experimental/distortionNG/DistortionSetupStrategy.h	(revision 371)
+++ experimental/distortionNG/DistortionSetupStrategy.h	(revision 371)
@@ -0,0 +1,44 @@
+/* osgVisual test. distortionNG, experimental.
+*
+*  Permission is hereby granted, free of charge, to any person obtaining a copy
+*  of this software and associated documentation files (the "Software"), to deal
+*  in the Software without restriction, including without limitation the rights
+*  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+*  copies of the Software, and to permit persons to whom the Software is
+*  furnished to do so, subject to the following conditions:
+*
+*  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+*  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+*  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+*  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+*  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+*  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+*  THE SOFTWARE.
+*/
+
+#ifndef OSGGA_DISTORTION_SETUP_STRATEGY
+#define OSGGA_DISTORTION_SETUP_STRATEGY 1
+
+#include <osg/Referenced>
+
+#include "DistortionSet.h"
+
+/**
+ * \brief This class must be subclassed with a concrete strategy to setup the distortion
+ * 
+ * @author Torben Dannhauer
+ * @date  Jun 2012
+ */ 
+class DistortionSetupStrategy  : public osg::Referenced
+{
+public:
+	DistortionSetupStrategy();
+	~DistortionSetupStrategy();
+	virtual void delegateDistortionSetup(osgViewer::DistortionSet* distortionSet)=0;
+
+protected:
+
+};
+
+
+#endif /* OSGGA_DISTORTION_SETUP_STRATEGY */
Index: experimental/distortionNG/ReaderWriterDist.cpp
===================================================================
--- experimental/distortionNG/ReaderWriterDist.cpp	(revision 370)
+++ experimental/distortionNG/ReaderWriterDist.cpp	(revision 371)
@@ -1,2 +1,20 @@
+/* osgVisual test. distortionNG, experimental.
+*
+*  Permission is hereby granted, free of charge, to any person obtaining a copy
+*  of this software and associated documentation files (the "Software"), to deal
+*  in the Software without restriction, including without limitation the rights
+*  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+*  copies of the Software, and to permit persons to whom the Software is
+*  furnished to do so, subject to the following conditions:
+*
+*  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+*  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+*  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+*  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+*  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+*  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+*  THE SOFTWARE.
+*/
+
 #include "ReaderWriterDist.h"
 #include <osg/KdTree>
Index: experimental/distortionNG/ReaderWriterDist.h
===================================================================
--- experimental/distortionNG/ReaderWriterDist.h	(revision 370)
+++ experimental/distortionNG/ReaderWriterDist.h	(revision 371)
@@ -1,5 +1,21 @@
+/* osgVisual test. distortionNG, experimental.
+*
+*  Permission is hereby granted, free of charge, to any person obtaining a copy
+*  of this software and associated documentation files (the "Software"), to deal
+*  in the Software without restriction, including without limitation the rights
+*  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+*  copies of the Software, and to permit persons to whom the Software is
+*  furnished to do so, subject to the following conditions:
+*
+*  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+*  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+*  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+*  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+*  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+*  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+*  THE SOFTWARE.
+*/
+
 #pragma once
-
-
 
 #include <osg/Notify>
Index: experimental/distortionNG/distortionNG.vcproj
===================================================================
--- experimental/distortionNG/distortionNG.vcproj	(revision 370)
+++ experimental/distortionNG/distortionNG.vcproj	(revision 371)
@@ -342,4 +342,8 @@
 			</File>
 			<File
+				RelativePath=".\DistortionSetupStrategy.cpp"
+				>
+			</File>
+			<File
 				RelativePath=".\extViewer.cpp"
 				>
@@ -364,4 +368,8 @@
 			</File>
 			<File
+				RelativePath=".\DistortionSetupStrategy.h"
+				>
+			</File>
+			<File
 				RelativePath=".\extViewer.h"
 				>
Index: experimental/distortionNG/main.cpp
===================================================================
--- experimental/distortionNG/main.cpp	(revision 370)
+++ experimental/distortionNG/main.cpp	(revision 371)
@@ -57,10 +57,7 @@
 
 // ---- test plugin read / write
-
 	//osgDB::writeObjectFile( *_distortionSet, "distortionset.dist" );
 	_distortionSet = NULL;
 	_distortionSet = dynamic_cast<osgViewer::DistortionSet*>( osgDB::readObjectFile( "distortionset.dist" ) );
-		
-
 // ------------ Test ende -----------
 
@@ -198,6 +195,6 @@
  *										Grundfunktionen:
  *							[done]		- Key to Show Distortion Mesh / Intensity Map / none
- *										- Key to Save distortion Container  - via osgDB::writeObjectFile(const osg::Object& object, const std::string& filename, const Options* options). osgDB & registry determines and loads the approriate plugin bythe file ending (.dist).
- *							[.]		- Key to toggle MANUAL mode between blending und distortion setup
+ *							[done]		- Key to Save distortion Container  - via osgDB::writeObjectFile(const osg::Object& object, const std::string& filename, const Options* options). osgDB & registry determines and loads the approriate plugin bythe file ending (.dist).
+ *							[.]			- Key to toggle MANUAL mode between blending und distortion setup
  *							[done]		- Key to toggle distortion setup: 
  *												DISABLED distortion/blending modifications are forbidden (ggfs. beim Verlassen von DISABLED ggf. auf singleThreaded wechseln und beim aktivieren von DISABLED wieder auf das alte threadingmodel. Alternativ  die data variance des meshes/Blendmap beeinflussen)
@@ -221,5 +218,4 @@
  * 
  * Plugin fertigstellen
- * save funktion des manipulators via osgDB::writeObjectFile fertig stellen
  * extViewer::setUpViewForManualDistortion(std::string distFile)
  * Load Funktion vom osgViewer (ersatzweise Anfangs in der main.cpp) fertigstellen : -dist <distFile> weiterreichen and extViewer::setUpViewForManualDistortion(std::string distFile)