Index: /experimental/distortionNG/DistortionManipulator.h
===================================================================
--- /experimental/distortionNG/DistortionManipulator.h	(revision 371)
+++ /experimental/distortionNG/DistortionManipulator.h	(revision 372)
@@ -66,5 +66,5 @@
 	void setDistortionSet(DistortionSet* ds) {_distortionSet = ds;}
 
-	
+	void setDistortionSetupStrategy(DistortionSetupStrategy* strategy)	{_delegatedDistortionSetupStrategy = strategy;}
 
 private:
Index: /experimental/distortionNG/DistortionSetupStrategy.h
===================================================================
--- /experimental/distortionNG/DistortionSetupStrategy.h	(revision 371)
+++ /experimental/distortionNG/DistortionSetupStrategy.h	(revision 372)
@@ -34,5 +34,5 @@
 public:
 	DistortionSetupStrategy();
-	~DistortionSetupStrategy();
+	virtual ~DistortionSetupStrategy();
 	virtual void delegateDistortionSetup(osgViewer::DistortionSet* distortionSet)=0;
 
Index: /experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.cpp
===================================================================
--- /experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.cpp	(revision 372)
+++ /experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.cpp	(revision 372)
@@ -0,0 +1,46 @@
+/* osgVisual test. distortionNG, experimental.
+*
+*  Permission is hereby granted, free of charge, to any person obtaining a copy
+*  of this software and associated documentation files (the "Software"), to deal
+*  in the Software without restriction, including without limitation the rights
+*  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+*  copies of the Software, and to permit persons to whom the Software is
+*  furnished to do so, subject to the following conditions:
+*
+*  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+*  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+*  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+*  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+*  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+*  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+*  THE SOFTWARE.
+*/
+
+#include "DistortionSetupStrategyProjectSyntropy.h"
+
+DistortionSetupStrategyProjectSyntropy::DistortionSetupStrategyProjectSyntropy()
+{
+}
+
+DistortionSetupStrategyProjectSyntropy::~DistortionSetupStrategyProjectSyntropy()
+{
+}
+
+void DistortionSetupStrategyProjectSyntropy::delegateDistortionSetup(osgViewer::DistortionSet* distortionSet)
+{
+	if(distortionSet == NULL)
+	{
+		OSG_ALWAYS<<"DistortionSetupStrategyProjectSyntropy::delegateDistortionSetup : Invalid DistortionSet"<<std::endl;
+		return;
+	}
+
+	OSG_ALWAYS<<"drin"<<std::endl;
+
+	/* Todo: In diese Klasse das Einlesen und übertragen der Project Syntropy Dateien packen:
+	*
+	* 1. Blendmap einlesen, auf Screensize skalieren und in den distortioncontainer übertragen
+	* 2. Frustum CSV auslesen und die Werte in ViewMatrix und  Projectionmatrix übertragen
+	* 3. Meshkoordinaten aus CSV einlesen und in DistortionSet übertragen
+	*
+	*/
+}
Index: /experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.h
===================================================================
--- /experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.h	(revision 372)
+++ /experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.h	(revision 372)
@@ -0,0 +1,30 @@
+/* osgVisual test. distortionNG, experimental.
+*
+*  Permission is hereby granted, free of charge, to any person obtaining a copy
+*  of this software and associated documentation files (the "Software"), to deal
+*  in the Software without restriction, including without limitation the rights
+*  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+*  copies of the Software, and to permit persons to whom the Software is
+*  furnished to do so, subject to the following conditions:
+*
+*  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+*  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+*  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+*  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+*  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+*  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+*  THE SOFTWARE.
+*/
+
+#pragma once
+
+#include "distortionsetupstrategy.h"
+
+class DistortionSetupStrategyProjectSyntropy :
+	public DistortionSetupStrategy
+{
+public:
+	DistortionSetupStrategyProjectSyntropy();
+	~DistortionSetupStrategyProjectSyntropy();
+	void delegateDistortionSetup(osgViewer::DistortionSet* distortionSet);
+};
Index: /experimental/distortionNG/distortionNG.vcproj
===================================================================
--- /experimental/distortionNG/distortionNG.vcproj	(revision 371)
+++ /experimental/distortionNG/distortionNG.vcproj	(revision 372)
@@ -346,4 +346,8 @@
 			</File>
 			<File
+				RelativePath=".\DistortionSetupStrategyProjectSyntropy.cpp"
+				>
+			</File>
+			<File
 				RelativePath=".\extViewer.cpp"
 				>
@@ -372,4 +376,8 @@
 			</File>
 			<File
+				RelativePath=".\DistortionSetupStrategyProjectSyntropy.h"
+				>
+			</File>
+			<File
 				RelativePath=".\extViewer.h"
 				>
Index: /experimental/distortionNG/distortionset.dist
===================================================================
--- /experimental/distortionNG/distortionset.dist	(revision 372)
+++ /experimental/distortionNG/distortionset.dist	(revision 372)
@@ -0,0 +1,16 @@
+#Ascii Object 
+#Version 92 
+#Generator OpenSceneGraph 3.1.3 
+
+osgViewer::DistortionSet {
+  UniqueID 1 
+  DistortionMeshRows 20 
+  DistortionMeshColumns 20 
+  MeshType -842150451 
+  IntensityMap TRUE {
+    UniqueID 2 
+    FileName "intensitymap.png" 
+    WriteHint 0 2 
+    DataVariance STATIC 
+  }
+}
Index: /experimental/distortionNG/main.cpp
===================================================================
--- /experimental/distortionNG/main.cpp	(revision 371)
+++ /experimental/distortionNG/main.cpp	(revision 372)
@@ -37,4 +37,5 @@
 
 #include "DistortionManipulator.h"
+#include "DistortionSetupStrategyProjectSyntropy.h"
 
 int main(int argc, char** argv)
@@ -92,5 +93,7 @@
 
 	// Add the distortion manipulator
-	viewer.addEventHandler(new osgViewer::DistortionManipulator(_distortionSet));
+	osgViewer::DistortionManipulator* distortionManip = new osgViewer::DistortionManipulator(_distortionSet);
+	distortionManip->setDistortionSetupStrategy( new DistortionSetupStrategyProjectSyntropy() );
+	viewer.addEventHandler(distortionManip);
 
     // add the state manipulator