Index: experimental/distortionNG/DistortionSet.cpp
===================================================================
--- experimental/distortionNG/DistortionSet.cpp	(revision 373)
+++ experimental/distortionNG/DistortionSet.cpp	(revision 374)
@@ -48,4 +48,15 @@
 }
 
+void DistortionSet::setDistortionMesh(osg::Geometry*)
+{
+	// todo: denormalisieren und mesh dann an seine passenden Platz vom Switch packen.
+}
+
+const osg::Geometry* DistortionSet::getDistortionMesh() const
+{
+	// Todo: Normalisieren und dann zurückgeben
+	return NULL;
+}
+
 REGISTER_OBJECT_WRAPPER( osgViewer_DistortionSet,                  // The unique wrapper name
                          new osgViewer::DistortionSet,             // The proto
@@ -56,4 +67,5 @@
 	ADD_INT_SERIALIZER( DistortionMeshRows, 1 );	//int _distortionMeshRows;
 	ADD_INT_SERIALIZER( DistortionMeshColumns, 1 );	//int _distortionMeshColumns;
+	ADD_OBJECT_SERIALIZER( DistortionMesh, osg::Geometry, NULL );	// Normalisiertes Mesh
 
     ADD_GLENUM_SERIALIZER( MeshType, GLenum, GL_QUAD_STRIP );  //osg::PrimitiveSet::Mode _MeshType
Index: experimental/distortionNG/DistortionSet.h
===================================================================
--- experimental/distortionNG/DistortionSet.h	(revision 373)
+++ experimental/distortionNG/DistortionSet.h	(revision 374)
@@ -24,4 +24,5 @@
 #include <osg/Switch>
 #include <osg/Shader>
+#include <osg/Geometry>
 
 namespace osgViewer {
@@ -75,4 +76,7 @@
 	int getDistortionMeshColumns() const	{ return _distortionMeshColumns; }
 
+	void setDistortionMesh(osg::Geometry*);
+	const osg::Geometry* getDistortionMesh() const;
+
 	void setMeshType(GLenum meshType) { _meshType = meshType; }
     inline GLenum getMeshType() const { return _meshType; }
@@ -110,8 +114,7 @@
 	osg::Matrixd _projectionOffset;
 
+	// Interconnect-Pointer to allow access between distortion elements (osgViewer) and the distortion manipulator.
+	// These variable are therefor not saved/restored by the serializer but populated on runtime.
 	bool _showIntesityMapMapOnly;	// Intensity Blending is done by a frag shader. To control it on runtime, the uniform must be bound to a central variable.
-
-	// Interconnect-Pointer to allow acces between distortion elements (osgViewer) and the distortion manipulator.
-	// These variable are therefor not saved/restored by the serializer but populated on runtime.
 	osg::observer_ptr<osg::Camera> _camera;	// is used to pass the distortion cam from osgViewers setupDistortion() method to the manipulator.
 	osg::ref_ptr<osg::Switch> _distortionInternals;	// definition: child #0 = mesh, #1 = highlighter, #2 HUD
Index: experimental/distortionNG/extViewer.h
===================================================================
--- experimental/distortionNG/extViewer.h	(revision 373)
+++ experimental/distortionNG/extViewer.h	(revision 374)
@@ -42,4 +42,11 @@
 
 		void setUpIntensityMapBlending(osgViewer::DistortionSet* distSet, unsigned int screenNum=0);
+
+		/**
+		 * \brief This functions loads the specified blendmap and configures the viewer for blending.
+		 * !This function does not perform any distortion it just configures the viewer for simple viewing with an intensity map.
+		 * 
+		 * @param intensityMap  : Filename of the intensitymap to use for blending
+		 */ 
 		void setUpIntensityMapBlending(std::string intensityMap);
 
Index: experimental/distortionNG/main.cpp
===================================================================
--- experimental/distortionNG/main.cpp	(revision 373)
+++ experimental/distortionNG/main.cpp	(revision 374)
@@ -184,5 +184,5 @@
  * 										- slaveCam viewOffset	(wird mit der vom master multipliziert und auf die slave cam angewendet, verwendet für translation und rotation offset)
  * 										
- *										need to add setter/getter as well as the serializer macros.
+ *							[]			Todo: get set methode für das Mesh implementieren.
  *										
  *										Besitz: Da osgViewer distSets ohne Manipulationsmöglichkeit konsumieren können soll, muss der Container vom Viewer verwaltet werden. der manipulator greift darauf zu, das plugin kann container entgegen nehmen oder zurückgeben, hat aber keinen direkten kontakt zur container instanz von osgViewer