Index: experimental/distortionNG/DistortionSetupStrategy.h
===================================================================
--- experimental/distortionNG/DistortionSetupStrategy.h	(revision 376)
+++ experimental/distortionNG/DistortionSetupStrategy.h	(revision 377)
@@ -37,5 +37,5 @@
 	virtual void delegateDistortionSetup(osgViewer::DistortionSet* distortionSet)=0;
 
-	enum distortionType { VERTEXDISTORTION, TEXCOORDDISTORTION, COMBINEDDISTORTION};
+	enum distortionType { VERTEXDISTORTION, TEXCOORDDISTORTION, COMBINEDDISTORTION, UNDEFINED};
 
 protected:
Index: experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.cpp
===================================================================
--- experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.cpp	(revision 376)
+++ experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.cpp	(revision 377)
@@ -25,14 +25,8 @@
 DistortionSetupStrategyProjectSyntropy::DistortionSetupStrategyProjectSyntropy()
 {
-	_switchDistortionTypeVortexToTexcoords=false;
-
-	_intensityMapFilename="./resources/ProjectSyntropy/blending_1.bmp";
-
-	_frustumVortexDistortionFilename="./resources/ProjectSyntropy/Vertices/frustum_1.csv";
-	_frustumTexcoordDistortionFilename="./resources/ProjectSyntropy/TexCoords/frustum_1.csv";
-
-	_meshVortexDistortionFilename="./resources/ProjectSyntropy/Vertices/warpmap_1.csv";
-	_meshTexcoordDistortionFilename="./resources/ProjectSyntropy/TexCoords/warpmap_1.csv";
-
+	_blendmapFilename = "";
+	_frustumFilename = "";
+	_distortionFilename = "";
+	_distortionType = DistortionSetupStrategy::UNDEFINED;
 
 	_distortionInitialized=false;
@@ -41,9 +35,13 @@
 DistortionSetupStrategyProjectSyntropy::~DistortionSetupStrategyProjectSyntropy()
 {
+
 }
 
 void DistortionSetupStrategyProjectSyntropy::setDistortionInputFiles( std::string distortionFile, std::string blendmapFile, std::string frustumFile, DistortionSetupStrategy::distortionType type)
 {
-
+	_distortionType = type;
+	_blendmapFilename = blendmapFile;
+	_frustumFilename = frustumFile;
+	_distortionFilename = distortionFile;
 }
 
@@ -213,11 +211,12 @@
 
 				// Insertion of Values U and V (corresponding to values[2],values[3] in a temporary Array
-				// which is returned and merged into distortionSet later 
-				if(_switchDistortionTypeVortexToTexcoords)
+				// which is returned and merged into distortionSet later
+ 
+				if((_distortionType==TEXCOORDDISTORTION) || (_distortionType==COMBINEDDISTORTION))
 				{
 					tempVec2.set(values[2],values[3]);
 					meshPointsVec2->push_back(tempVec2);
 				}
-				else
+				if((_distortionType==VERTEXDISTORTION) || (_distortionType==COMBINEDDISTORTION))
 				{
 					tempVec3.set(values[2]*displayWidth,values[3]*displayHeight,0.0);
@@ -251,7 +250,13 @@
 	}
 
+	if(	_distortionType == DistortionSetupStrategy::UNDEFINED || _blendmapFilename.empty() || _frustumFilename.empty() || _distortionFilename.empty() )
+	{
+		OSG_ALWAYS<<"DistortionSetupStrategyProjectSyntropy::delegateDistortionSetup : You have not specified the imput filenames and distortion type!"<<std::endl;
+		return;
+	}
+
 	//OSG_ALWAYS<<"drin"<<std::endl;
 
-	if (_distortionInitialized==false)
+	if (_distortionInitialized==false )
 	{
 
@@ -261,5 +266,5 @@
 
 		osg::Image* intensityMap=NULL;
-		intensityMap=osgDB::readImageFile(_intensityMapFilename);
+		intensityMap=osgDB::readImageFile(_blendmapFilename);
 		osg::GraphicsContext::WindowingSystemInterface* wsi = osg::GraphicsContext::getWindowingSystemInterface();
 		if (!wsi)
@@ -293,7 +298,6 @@
 		double zNear=0.1, zFar=100.0;
 
-		if(_switchDistortionTypeVortexToTexcoords)	readFrustumFromCSVFile(_frustumTexcoordDistortionFilename, numFrustumValues, frustumValues);
-		else						readFrustumFromCSVFile(_frustumVortexDistortionFilename, numFrustumValues, frustumValues);
-
+		readFrustumFromCSVFile(_frustumFilename, numFrustumValues, frustumValues);
+		
 		osg::Matrixd viewOffset=osg::Matrixd();
 		osg::Matrixd projectionOffset=osg::Matrixd();
@@ -308,4 +312,5 @@
 
 		//Frustum Parameters: Left, Right, Bottom, Top, zNear, zFar
+		//Alternative: viewer->camera->setprojectionmatrixasfrustum?
 		projectionOffset.makeFrustum(osg::inDegrees(frustumValues[6]), osg::inDegrees(frustumValues[7]), osg::inDegrees(frustumValues[8]), osg::inDegrees(frustumValues[9]), zNear, zFar);
 
@@ -349,25 +354,23 @@
 			//*******************************************************************************************//
 
-
 			int distortionMeshRows=0, distortionMeshColumns=0;
-			if(_switchDistortionTypeVortexToTexcoords)	readMeshDimensionsFromCSVFile(_meshTexcoordDistortionFilename, &distortionMeshRows, &distortionMeshColumns);
-			else						readMeshDimensionsFromCSVFile(_meshVortexDistortionFilename, &distortionMeshRows, &distortionMeshColumns);
+
+			readMeshDimensionsFromCSVFile(_distortionFilename, &distortionMeshRows, &distortionMeshColumns);
 
 			distortionSet->setDistortionMeshRows(distortionMeshRows);
 			distortionSet->setDistortionMeshColumns(distortionMeshColumns);
 
-
-
 			osg::Vec2Array* distortionMeshVec2 = new osg::Vec2Array;
 			osg::Vec3Array* distortionMeshVec3 = new osg::Vec3Array;
 
-			if(_switchDistortionTypeVortexToTexcoords)
-			{
-				readMeshPointsFromCSVFile(_meshTexcoordDistortionFilename, distortionMeshVec2, distortionMeshVec3, width, height);
+			if((_distortionType==TEXCOORDDISTORTION) || (_distortionType==COMBINEDDISTORTION))
+			{
+				readMeshPointsFromCSVFile(_distortionFilename, distortionMeshVec2, distortionMeshVec3, width, height);
 				distortionSet->getDistortionInternals()->getChild(osgViewer::DistortionSet::MESH)->asGeode()->getDrawable(0)->asGeometry()->setTexCoordArray(0,distortionMeshVec2);
 			}
-			else
-			{
-				readMeshPointsFromCSVFile(_meshVortexDistortionFilename, distortionMeshVec2, distortionMeshVec3, width, height);
+
+			if((_distortionType==VERTEXDISTORTION) || (_distortionType==COMBINEDDISTORTION))
+			{
+				readMeshPointsFromCSVFile(_distortionFilename, distortionMeshVec2, distortionMeshVec3, width, height);
 				distortionSet->getDistortionInternals()->getChild(osgViewer::DistortionSet::MESH)->asGeode()->getDrawable(0)->asGeometry()->setVertexArray(distortionMeshVec3);
 
Index: experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.h
===================================================================
--- experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.h	(revision 376)
+++ experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.h	(revision 377)
@@ -44,13 +44,8 @@
 
 	bool _distortionInitialized;				//Is Distortion already initialized?
-	bool _switchDistortionTypeVortexToTexcoords;		//Indicates if Texcoord- (true) or Vortexdistortion (false) is selected
+	DistortionSetupStrategy::distortionType _distortionType; //might be VERTEXDISTORTION, TEXCOORDDISTORTION, COMBINEDDISTORTION or UNDEFINED...
+	std::string _blendmapFilename;
+	std::string _frustumFilename;
+	std::string _distortionFilename;
 
-	//Paths of Blending/Warping related Files
-	std::string _intensityMapFilename;
-
-	std::string _frustumVortexDistortionFilename;
-	std::string _frustumTexcoordDistortionFilename;
-
-	std::string _meshVortexDistortionFilename;
-	std::string _meshTexcoordDistortionFilename;
 };