Index: /experimental/distortionNG/DistortionManipulator.cpp
===================================================================
--- /experimental/distortionNG/DistortionManipulator.cpp	(revision 390)
+++ /experimental/distortionNG/DistortionManipulator.cpp	(revision 391)
@@ -289,9 +289,10 @@
 	OSG_ALWAYS<<"Reseting IntensityMap Blending."<<std::endl;
 
-	if (!image->isDataContiguous())
+	//isDataContiguous is unknown to MSVS2010 and GCC
+	/*if (!image->isDataContiguous())
 	{
 		OSG_WARN<<"Warning: DistortionManipulator does not support working with non contiguous imagery as blendmaps!"<<std::endl;
 		return;
-	}
+	}*/
 
 	// Fill intensity map with 255 
@@ -531,6 +532,20 @@
 	if(_viewer.valid())
 	{
+ 		// LF CameraMainupulators override ViewMatrix, so they have to go...
+		// alternatively, _viewer->getCameraManipulator()->setByMatrix(_distortionSet->getViewOffset()) could be set
+		// but this complicates exact camera positioning and rotating
+
+		_viewer->setCameraManipulator(0);
+
 		_viewer->getCamera()->setViewMatrix(_distortionSet->getViewOffset());
 		_viewer->getCamera()->setProjectionMatrix(_distortionSet->getProjectionOffset());
+
+		// Print viewMatrixAsLookAt for Debug Purposes
+		osg::Vec3 Eye,Focus,Vertical;
+		_viewer->getCamera()->getViewMatrixAsLookAt(Eye,Focus,Vertical);
+		OSG_ALWAYS<<"Camera Eyepoint: X:"<<Eye.x()<<" Y:"<<Eye.y()<<" Z:"<<Eye.z()<<std::endl;
+		printf("Camera Eyepoint: %.2lf, %.2lf, %.2lf\n",Eye.x(),Eye.y(),Eye.z());
+		printf("Camera Direction: %.2lf, %.2lf, %.2lf\n",Focus.x()-Eye.x(),Focus.y()-Eye.y(),Focus.z()-Eye.z());
+		printf("Vertical after: %.2lf, %.2lf, %.2lf\n",Vertical.x()-Eye.x(),Vertical.y()-Eye.y(),Vertical.z()-Eye.z());
 	}
 	else
@@ -554,5 +569,5 @@
 										0.0	);
 		vertices->push_back( tmpVec );
-		OSG_ALWAYS<<"Transfering mesh vertex : X:"<<tmpVec.x()<<" Y:"<<tmpVec.y()<<" Z:"<<tmpVec.z()<<std::endl;
+		//OSG_ALWAYS<<"Transfering mesh vertex : X:"<<tmpVec.x()<<" Y:"<<tmpVec.y()<<" Z:"<<tmpVec.z()<<std::endl;
 
 		// Note texCoords
Index: /experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.cpp
===================================================================
--- /experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.cpp	(revision 390)
+++ /experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.cpp	(revision 391)
@@ -294,5 +294,5 @@
 		readFrustumFromCSVFile(_frustumFilename, numFrustumValues, frustumValues);
 		
-		osg::Matrixd viewOffset=osg::Matrixd();
+		osg::Matrixd viewOffset=osg::Matrix::identity();
 		osg::Matrixd projectionOffset=osg::Matrixd();
 
@@ -300,11 +300,16 @@
 		// Translational Parameters are defines in millimeters (->Correction required?!)
 		// Coordinate System / Directions may be looked up in "Koordinatensystem.png", trans/rot order confirmed bei PS
-		viewOffset = osg::Matrixd::translate(frustumValues[0],frustumValues[1],frustumValues[2]);
-		viewOffset*= osg::Matrixd::rotate(osg::inDegrees(frustumValues[3]), 0.0,0.0,1.0); //Heading
-		viewOffset*= osg::Matrixd::rotate(osg::inDegrees(frustumValues[4]), 1.0,0.0,0.0); //Pitch
-		viewOffset*= osg::Matrixd::rotate(osg::inDegrees(frustumValues[5]), 0.0,1.0,0.0); //Bank
-
+		osg::Matrixd rotViewOffset=osg::Matrixd();
+		rotViewOffset.makeRotate(
+			osg::DegreesToRadians(frustumValues[3]), osg::Vec3(0,1,0),	// heading
+			osg::DegreesToRadians(-frustumValues[4]), osg::Vec3(1,0,0), 	// pitch
+			osg::DegreesToRadians(frustumValues[5]), osg::Vec3(0,0,1));	// roll
+
+		osg::Matrixd transViewOffset=osg::Matrixd();
+		transViewOffset.makeTranslate( frustumValues[0], frustumValues[1], frustumValues[2]);
+
+       		viewOffset = viewOffset * rotViewOffset; // * transViewOffset;
+		
 		//Frustum Parameters: Left, Right, Bottom, Top, zNear, zFar
-		//Alternative: viewer->camera->setprojectionmatrixasfrustum?
 		projectionOffset.makeFrustum(osg::inDegrees(frustumValues[6]), osg::inDegrees(frustumValues[7]), osg::inDegrees(frustumValues[8]), osg::inDegrees(frustumValues[9]), zNear, zFar);
 
Index: /experimental/distortionNG/main.cpp
===================================================================
--- /experimental/distortionNG/main.cpp	(revision 390)
+++ /experimental/distortionNG/main.cpp	(revision 391)
@@ -132,6 +132,6 @@
     if (!rootnode)
     {
-		osgDB::Registry::instance()->getDataFilePathList().push_front("H:\\AllInOnDB");
-		rootnode = osgDB::readNodeFile("H:\\AllInOnDB\\terrain.osgb");
+		//osgDB::Registry::instance()->getDataFilePathList().push_front("H:/AllInOnDB");
+		rootnode = osgDB::readNodeFile("resources/TestSphere/sphere_500.obj");
 		if(!rootnode)
 		{
Index: /experimental/distortionNG/resources/TestSphere/sphere_500.mtl
===================================================================
--- /experimental/distortionNG/resources/TestSphere/sphere_500.mtl	(revision 391)
+++ /experimental/distortionNG/resources/TestSphere/sphere_500.mtl	(revision 391)
@@ -0,0 +1,10 @@
+newmtl Default
+Ka 0 0 0
+Kd 0.577581 0.577581 0.577581
+Ks 0 0 0
+Ni 1
+Ns 400
+Tf 1 1 1
+d 1
+map_Kd _dummy2to1.png
+