Index: /experimental/distortionNG/DistortionManipulator.cpp
===================================================================
--- /experimental/distortionNG/DistortionManipulator.cpp	(revision 391)
+++ /experimental/distortionNG/DistortionManipulator.cpp	(revision 392)
@@ -53,5 +53,5 @@
 	//_distortionMesh(distortionMesh)
 
-	// Create Shader to vizualize intensitymap during blending setup.
+	// Create Shader to visualize intensitymap during blending setup.
 	osg::Shader* sh = osg::Shader::readShaderFile( osg::Shader::FRAGMENT, "shaderIntensityMapVis.frag" ); 
 	sh->setName("shaderIntensityMapVis");
Index: /experimental/distortionNG/DistortionSet.cpp
===================================================================
--- /experimental/distortionNG/DistortionSet.cpp	(revision 391)
+++ /experimental/distortionNG/DistortionSet.cpp	(revision 392)
@@ -56,7 +56,7 @@
 	_distortionMeshColumns = cols;
 
-	if(_distortionMesh->size() != _distortionMeshRows * _distortionMeshRows)	// If dimensions differ: discard current mesh and createa new one
+	if(_distortionMesh->size() != _distortionMeshRows * _distortionMeshColumns)	// If dimensions differ: discard current mesh and create a new one
 	{
-		_distortionMesh = new osg::Vec4Array(_distortionMeshRows * _distortionMeshRows);
+		_distortionMesh = new osg::Vec4Array(_distortionMeshRows * _distortionMeshColumns);
 		for(int row=0;row<_distortionMeshRows;row++)
 		{
Index: /experimental/distortionNG/distortionNG.vcproj
===================================================================
--- /experimental/distortionNG/distortionNG.vcproj	(revision 391)
+++ /experimental/distortionNG/distortionNG.vcproj	(revision 392)
@@ -391,4 +391,8 @@
 		</Filter>
 		<File
+			RelativePath=".\shader.vert"
+			>
+		</File>
+		<File
 			RelativePath=".\shaderIntensityMap.frag"
 			>
Index: /experimental/distortionNG/extViewer.cpp
===================================================================
--- /experimental/distortionNG/extViewer.cpp	(revision 391)
+++ /experimental/distortionNG/extViewer.cpp	(revision 392)
@@ -364,10 +364,14 @@
 	osg::Program* IntensityMapProgram = new osg::Program;
 	IntensityMapProgram->setName( "intensityMapBlending" );
+	osg::Shader* shaderVert = osg::Shader::readShaderFile( osg::Shader::VERTEX, "shader.vert" ); 
+	shaderVert->setName("shaderVert");
 	osg::Shader* shaderIntensityMap = osg::Shader::readShaderFile( osg::Shader::FRAGMENT, "shaderIntensityMap.frag" ); 
 	shaderIntensityMap->setName("shaderIntensityMap");
+
 	_distortionSet->setShaderIntensityMap( shaderIntensityMap );
 
-	if ( shaderIntensityMap )
-	{
+	if ( shaderVert && shaderIntensityMap )
+	{
+		IntensityMapProgram->addShader( shaderVert );
 		IntensityMapProgram->addShader( shaderIntensityMap );
 		stateset->addUniform( new osg::Uniform("sceneTexture", (int)_distortionSet->getTexUnitScene()) );
Index: /experimental/distortionNG/main.cpp
===================================================================
--- /experimental/distortionNG/main.cpp	(revision 391)
+++ /experimental/distortionNG/main.cpp	(revision 392)
@@ -53,5 +53,5 @@
 	osg::ref_ptr<osgViewer::DistortionSet> _distortionSet = new osgViewer::DistortionSet();
 	_distortionSet->setIntensityMap( intMap );
-	_distortionSet->setDistortionMeshDimensions(20, 20);
+	_distortionSet->setDistortionMeshDimensions(20, 30);
 	
 
Index: /experimental/distortionNG/shader.vert
===================================================================
--- /experimental/distortionNG/shader.vert	(revision 391)
+++ /experimental/distortionNG/shader.vert	(revision 392)
@@ -1,4 +1,6 @@
 varying vec2 texcoord_scene;
 varying vec2 texcoord_intensityMap;
+
+varying vec2 texCoord;
 
 void main()
@@ -7,3 +9,4 @@
 	texcoord_scene = vec2(gl_MultiTexCoord0.xy);
 	texcoord_intensityMap = vec2(gl_MultiTexCoord1.xy);
+	texCoord = gl_MultiTexCoord0.xy;
 }
Index: /experimental/distortionNG/shaderIntensityMap.frag
===================================================================
--- /experimental/distortionNG/shaderIntensityMap.frag	(revision 391)
+++ /experimental/distortionNG/shaderIntensityMap.frag	(revision 392)
@@ -3,4 +3,6 @@
 varying vec2 texcoord_scene;
 varying vec2 texcoord_intensityMap;
+
+varying vec2 texCoord;
 
 void main(void)
@@ -9,6 +11,8 @@
 	vec4 blendColor;
 
-	sceneColor = texture2DRect(sceneTexture, gl_FragCoord);
+	//sceneColor = texture2DRect(sceneTexture, gl_FragCoord);
 	blendColor = texture2DRect(intensityMapTexture, gl_FragCoord);
-	gl_FragColor = sceneColor * blendColor;
+	
+	//gl_FragColor = blendColor * texture2DRect( sceneTexture, texCoord*vec2(1920, 1200)) ;
+	gl_FragColor = texture2DRect( sceneTexture, texCoord*vec2(1920, 1200)) ;
 }