Index: experimental/distortionNG/DistortionManipulator.cpp
===================================================================
--- experimental/distortionNG/DistortionManipulator.cpp	(revision 392)
+++ experimental/distortionNG/DistortionManipulator.cpp	(revision 393)
@@ -517,5 +517,5 @@
 void DistortionManipulator::updateDistortionSetup()
 {
-	updateDistortionViewProjectionMatrix();
+	//updateDistortionViewProjectionMatrix();
 	updateDistortionMesh();
 	_distortionSet->clearDirtyStatus();
@@ -574,4 +574,5 @@
 		osg::Vec2 tmpTexCoords = osg::Vec2(	tmpSrc.z()*_screenPixWidth,
 											tmpSrc.w()*_screenPixHeight );
+
 		texCoords->push_back(tmpTexCoords);
 		//OSG_ALWAYS<<"Transfering texcoord vertex : X:"<<tmpTexCoords.x()<<" Y:"<<tmpTexCoords.y()<<std::endl;
Index: experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.cpp
===================================================================
--- experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.cpp	(revision 392)
+++ experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.cpp	(revision 393)
@@ -412,5 +412,5 @@
 			}
 
-#if 0
+#if 1
 			for (osg::Vec4Array::iterator it = distortionMesh->begin(); it != distortionMesh->end(); ++it)
 			{
@@ -421,6 +421,7 @@
 
 			distortionSet->setDistortionMesh(distortionMesh);
-			distortionSet->setDistortionMeshColumns(distortionMeshColumns);
-			distortionSet->setDistortionMeshRows(distortionMeshRows);
+			//distortionSet->setDistortionMeshColumns(distortionMeshColumns);
+			//distortionSet->setDistortionMeshRows(distortionMeshRows);
+			distortionSet->setDistortionMeshDimensions(distortionMeshRows, distortionMeshColumns);
 		}
 	}
Index: experimental/distortionNG/main.cpp
===================================================================
--- experimental/distortionNG/main.cpp	(revision 392)
+++ experimental/distortionNG/main.cpp	(revision 393)
@@ -99,5 +99,5 @@
 										"./resources/ProjectSyntropy/blending_1.bmp",
 										"./resources/ProjectSyntropy/Vertices/frustum_1.csv",
-										DistortionSetupStrategy::VERTEXDISTORTION );
+										DistortionSetupStrategy::TEXCOORDDISTORTION );
 	distortionManip->setDistortionSetupStrategy( psStrategy );
 	viewer.addEventHandler(distortionManip);
@@ -129,9 +129,9 @@
     // load the nodes from the commandline arguments.
     osg::Node* rootnode = osgDB::readNodeFiles(arguments);
+	osgDB::Registry::instance()->getDataFilePathList().push_front("H:/AllInOnDB");
 
     if (!rootnode)
     {
-		//osgDB::Registry::instance()->getDataFilePathList().push_front("H:/AllInOnDB");
-		rootnode = osgDB::readNodeFile("resources/TestSphere/sphere_500.obj");
+		rootnode = osgDB::readNodeFile("D:/osgVisual/experimental/distortionNG/resources/TestSphere/sphere_500.obj");
 		if(!rootnode)
 		{
Index: experimental/distortionNG/shader.vert
===================================================================
--- experimental/distortionNG/shader.vert	(revision 392)
+++ experimental/distortionNG/shader.vert	(revision 393)
@@ -1,5 +1,2 @@
-varying vec2 texcoord_scene;
-varying vec2 texcoord_intensityMap;
-
 varying vec2 texCoord;
 
@@ -7,6 +4,4 @@
 {
 	gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
-	texcoord_scene = vec2(gl_MultiTexCoord0.xy);
-	texcoord_intensityMap = vec2(gl_MultiTexCoord1.xy);
 	texCoord = gl_MultiTexCoord0.xy;
 }
Index: experimental/distortionNG/shaderIntensityMap.frag
===================================================================
--- experimental/distortionNG/shaderIntensityMap.frag	(revision 392)
+++ experimental/distortionNG/shaderIntensityMap.frag	(revision 393)
@@ -1,6 +1,4 @@
 uniform sampler2DRect sceneTexture;
 uniform sampler2DRect intensityMapTexture;
-varying vec2 texcoord_scene;
-varying vec2 texcoord_intensityMap;
 
 varying vec2 texCoord;
@@ -8,11 +6,6 @@
 void main(void)
 {
-	vec4 sceneColor;
-	vec4 blendColor;
-
-	//sceneColor = texture2DRect(sceneTexture, gl_FragCoord);
-	blendColor = texture2DRect(intensityMapTexture, gl_FragCoord);
+	vec4 blendColor = texture2DRect(intensityMapTexture, gl_FragCoord);
 	
-	//gl_FragColor = blendColor * texture2DRect( sceneTexture, texCoord*vec2(1920, 1200)) ;
-	gl_FragColor = texture2DRect( sceneTexture, texCoord*vec2(1920, 1200)) ;
+	gl_FragColor = blendColor * texture2DRect( sceneTexture, texCoord) ;
 }
Index: experimental/distortionNG/shaderIntensityMapVis.frag
===================================================================
--- experimental/distortionNG/shaderIntensityMapVis.frag	(revision 392)
+++ experimental/distortionNG/shaderIntensityMapVis.frag	(revision 393)
@@ -1,6 +1,4 @@
 uniform sampler2DRect sceneTexture;
 uniform sampler2DRect intensityMapTexture;
-varying vec2 texcoord_scene;
-varying vec2 texcoord_intensityMap;
 
 void main(void)