Index: experimental/distortionNG/DistortionSetupStrategy.h
===================================================================
--- experimental/distortionNG/DistortionSetupStrategy.h	(revision 393)
+++ experimental/distortionNG/DistortionSetupStrategy.h	(revision 394)
@@ -37,6 +37,4 @@
 	virtual void delegateDistortionSetup(osgViewer::DistortionSet* distortionSet)=0;
 
-	enum distortionType { VERTEXDISTORTION, TEXCOORDDISTORTION, COMBINEDDISTORTION, UNDEFINED};
-
 protected:
 
Index: experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.cpp
===================================================================
--- experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.cpp	(revision 393)
+++ experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.cpp	(revision 394)
@@ -28,7 +28,5 @@
 	_blendmapFilename = "";
 	_frustumFilename = "";
-	_vertexDistortionFilename = "";
-	_texCoordDistortionFilename = "";
-	_distortionType = DistortionSetupStrategy::UNDEFINED;
+	_distortionFilename = "";
 
 	_distortionInitialized=false;
@@ -40,11 +38,9 @@
 }
 
-void DistortionSetupStrategyProjectSyntropy::setDistortionInputFiles( std::string vertexDistortionFile, std::string texCoordDistortionFile, std::string blendmapFile, std::string frustumFile, DistortionSetupStrategy::distortionType type)
-{
-	_distortionType = type;
+void DistortionSetupStrategyProjectSyntropy::setDistortionInputFiles(std::string distortionFile, std::string blendmapFile, std::string frustumFile)
+{
 	_blendmapFilename = blendmapFile;
 	_frustumFilename = frustumFile;
-	_vertexDistortionFilename = vertexDistortionFile;
-	_texCoordDistortionFilename = texCoordDistortionFile;
+	_distortionFilename = distortionFile;
 }
 
@@ -168,5 +164,5 @@
 }
 
-int DistortionSetupStrategyProjectSyntropy::readMeshPointsFromCSVFile(std::string filePath, osg::Vec2Array* tmpMesh)
+int DistortionSetupStrategyProjectSyntropy::readMeshPointsFromCSVFile(std::string filePath, osg::Vec4Array* tmpMesh)
 {
 	int numValues=6;
@@ -211,5 +207,5 @@
 
 				// Store values into array
-				tmpMesh->push_back(osg::Vec2(values[0], values[1]));
+				tmpMesh->push_back(osg::Vec4(values[0], values[1], values[2], values[3]));
 			}
 		}
@@ -233,12 +229,7 @@
 	}
 
-	if(	_distortionType == DistortionSetupStrategy::UNDEFINED 
-			|| _blendmapFilename.empty()
-			|| _frustumFilename.empty()
-			|| ( _vertexDistortionFilename.empty() && _distortionType == DistortionSetupStrategy::VERTEXDISTORTION )
-			|| ( _texCoordDistortionFilename.empty() && _distortionType == DistortionSetupStrategy::TEXCOORDDISTORTION )
-	)
-	{
-		OSG_ALWAYS<<"DistortionSetupStrategyProjectSyntropy::delegateDistortionSetup : You have not specified the imput filenames and distortion type correctly!"<<std::endl;
+	if(	 _blendmapFilename.empty() || _frustumFilename.empty() ||  _distortionFilename.empty() )
+	{
+		OSG_ALWAYS<<"DistortionSetupStrategyProjectSyntropy::delegateDistortionSetup : You have not specified the imput filenames correctly!"<<std::endl;
 		return;
 	}
@@ -348,67 +339,20 @@
 			//*******************************************************************************************//
 			//***    MESH WARPING	 																  ***//
-			//***    Both Vertex Warping and Texcoord Warping is supported. Although there might      ***//
+			//***    Both Vertex Warping and Texcoord Warping is supported.
+			//***	 The input file contains . Although there might      ***//
 			//***    be a preferred version for osgvisual, both options should be implemented in osg  ***//
 			//*******************************************************************************************//
 
 			// Exctract mesh dimensions from file and pass them to the container.
-			// If soley texCoordDistortion is used, _texCoordDistortionFilename is used to determine the dimensions, otherwise _vertexDistortionFilename
+
 			int distortionMeshRows=0, distortionMeshColumns=0;
-			readMeshDimensionsFromCSVFile(_distortionType==DistortionSetupStrategy::TEXCOORDDISTORTION?_texCoordDistortionFilename:_vertexDistortionFilename, &distortionMeshRows, &distortionMeshColumns);
+			readMeshDimensionsFromCSVFile(_distortionFilename, &distortionMeshRows, &distortionMeshColumns);
 
 			distortionSet->setDistortionMeshRows(distortionMeshRows);
 			distortionSet->setDistortionMeshColumns(distortionMeshColumns);
 
-			// If vertex- and texCoord distortion is combined: Ensure both files have the same dimensions
-			if(_distortionType==DistortionSetupStrategy::COMBINEDDISTORTION)
-			{
-				int texCoordRows=0, texCoordColumns=0;
-				readMeshDimensionsFromCSVFile(_texCoordDistortionFilename, &distortionMeshRows, &distortionMeshColumns);
-				if(distortionMeshRows!=texCoordRows || distortionMeshColumns!=texCoordColumns)
-				{
-					OSG_ALWAYS<<"The mesh dimensions of the vertex- and textureCoordinate-file differ!"<<std::endl;
-					return;
-				}
-			}
-
 			// Read in the mesh arrays
-			osg::Vec2Array* vertexMeshVec2 = new osg::Vec2Array;
-			osg::Vec2Array* texCoordMeshVec2 = new osg::Vec2Array;
-			osg::Vec4Array* distortionMesh = new osg::Vec4Array(distortionMeshRows*distortionMeshColumns);
-			
-			if((_distortionType==VERTEXDISTORTION) || (_distortionType==COMBINEDDISTORTION))
-			{
-				readMeshPointsFromCSVFile(_vertexDistortionFilename, vertexMeshVec2);
-			}
-
-			if((_distortionType==TEXCOORDDISTORTION) || (_distortionType==COMBINEDDISTORTION))
-			{
-				readMeshPointsFromCSVFile(_texCoordDistortionFilename, texCoordMeshVec2);
-			}
-
-			// Transfer the read values into the combinedArray
-			for(int row=0;row<distortionMeshRows;row++)
-			{
-				for(int col=0;col<distortionMeshColumns;col++)
-				{
-					float x=(float)col/(float)(distortionMeshColumns-1);	// Vertex X
-					float y=(float)row/(float)(distortionMeshRows-1);		// Vertex Y
-					float z=(float)col/(float)(distortionMeshColumns-1);	// TexCoord X
-					float w=(float)row/(float)(distortionMeshRows-1);		// TexCoord Y
-
-					if(_distortionType==VERTEXDISTORTION || _distortionType==COMBINEDDISTORTION)
-					{
-						x = vertexMeshVec2->at(row*distortionMeshColumns + col).x();
-						y = vertexMeshVec2->at(row*distortionMeshColumns + col).y();
-					}
-					if(_distortionType==TEXCOORDDISTORTION || _distortionType==COMBINEDDISTORTION)
-					{
-						z = texCoordMeshVec2->at(row*distortionMeshColumns + col).x();
-						w = texCoordMeshVec2->at(row*distortionMeshColumns + col).y();
-					}
-
-					distortionMesh->at(row*distortionMeshColumns+col).set(x,y,z,w);
-				}
-			}
+			osg::Vec4Array* distortionMesh = new osg::Vec4Array;
+			readMeshPointsFromCSVFile(_distortionFilename, distortionMesh);
 
 #if 1
@@ -421,6 +365,4 @@
 
 			distortionSet->setDistortionMesh(distortionMesh);
-			//distortionSet->setDistortionMeshColumns(distortionMeshColumns);
-			//distortionSet->setDistortionMeshRows(distortionMeshRows);
 			distortionSet->setDistortionMeshDimensions(distortionMeshRows, distortionMeshColumns);
 		}
Index: experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.h
===================================================================
--- experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.h	(revision 393)
+++ experimental/distortionNG/DistortionSetupStrategyProjectSyntropy.h	(revision 394)
@@ -35,17 +35,14 @@
 	~DistortionSetupStrategyProjectSyntropy();
 	void delegateDistortionSetup(osgViewer::DistortionSet* distortionSet);
-	void setDistortionInputFiles( std::string vertexDistortionFile, std::string texCoordDistortionFile, std::string blendmapFile, std::string frustumFile, DistortionSetupStrategy::distortionType type);
+	void setDistortionInputFiles(std::string distortionFile, std::string blendmapFile, std::string frustumFile);
 private:
 	//Functions related to CSV-File-Reading
 	int readFrustumFromCSVFile(std::string filePath, int numValues, float* frustumValues);
 	int readMeshDimensionsFromCSVFile(std::string filePath, int* meshRows, int* meshColumns);
-	int readMeshPointsFromCSVFile(std::string filePath, osg::Vec2Array* tmpMesh);
+	int readMeshPointsFromCSVFile(std::string filePath, osg::Vec4Array* tmpMesh);
 
 	bool _distortionInitialized;				//Is Distortion already initialized?
-	DistortionSetupStrategy::distortionType _distortionType; //might be VERTEXDISTORTION, TEXCOORDDISTORTION, COMBINEDDISTORTION or UNDEFINED...
 	std::string _blendmapFilename;
 	std::string _frustumFilename;
-	std::string _vertexDistortionFilename;
-	std::string _texCoordDistortionFilename;
-
+	std::string _distortionFilename;
 };
Index: experimental/distortionNG/extViewer.cpp
===================================================================
--- experimental/distortionNG/extViewer.cpp	(revision 393)
+++ experimental/distortionNG/extViewer.cpp	(revision 394)
@@ -100,5 +100,4 @@
     osg::Vec3 dy = yAxis*(height/((float)(rows-1)));
 
-
 	// Create vertices and coordinates
 	osg::Vec3Array* vertices = new osg::Vec3Array;
@@ -112,12 +111,11 @@
 		for ( unsigned int col=0; col<columns; col++ )
 		{
+			osg::Vec3 vertex = origin+dy*row+dx*col;
+
 			// Create coordinates of the mesh node (geometry).
-			vertices->push_back( origin+dy*row+dx*col );
-
-			// Create tex coordinates
-			osg::Vec2 texcoord = osg::Vec2((float)col/(float)(columns-1), (float)row/(float)(rows-1));
+			vertices->push_back( vertex );
 
 			// Set Coordinates for RTT-Texture (scene rendering)
-			texcoords0->push_back( texcoord );
+			texcoords0->push_back( osg::Vec2( vertex.x(), vertex.y()) );
 
 			// Set Color of the mesh node
Index: experimental/distortionNG/main.cpp
===================================================================
--- experimental/distortionNG/main.cpp	(revision 393)
+++ experimental/distortionNG/main.cpp	(revision 394)
@@ -96,8 +96,7 @@
 	DistortionSetupStrategyProjectSyntropy* psStrategy = new DistortionSetupStrategyProjectSyntropy();
 	psStrategy->setDistortionInputFiles( "./resources/ProjectSyntropy/Vertices/warpmap_1.csv",
-										"./resources/ProjectSyntropy/TexCoords/warpmap_1.csv",
+										//"./resources/ProjectSyntropy/TexCoords/warpmap_1.csv",
 										"./resources/ProjectSyntropy/blending_1.bmp",
-										"./resources/ProjectSyntropy/Vertices/frustum_1.csv",
-										DistortionSetupStrategy::TEXCOORDDISTORTION );
+										"./resources/ProjectSyntropy/Vertices/frustum_1.csv" );
 	distortionManip->setDistortionSetupStrategy( psStrategy );
 	viewer.addEventHandler(distortionManip);