Index: perimental/distortionNG/PlaceboManipulator.cpp
===================================================================
--- /experimental/distortionNG/PlaceboManipulator.cpp	(revision 403)
+++ 	(revision )
@@ -1,64 +1,0 @@
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
- *
- * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
- * the terms of the OpenSceneGraph Public License (OSGPL) version 0.0 or
- * (at your option) any later version.  The full license is in LICENSE file
- * included with this distribution, and on the openscenegraph.org website.
- *
- * osgVisual requires for some proprietary modules a license from the correspondig manufacturer.
- * You have to aquire licenses for all used proprietary modules.
- * 
- * This library is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * OpenSceneGraph Public License for more details.
-*/
-
-#include "PlaceboManipulator.h"
-
-
-
-using namespace osg;
-using namespace osgGA;
-
-PlaceboManipulator::PlaceboManipulator()
-{
-}
-
-PlaceboManipulator::~PlaceboManipulator()
-{
-}
-
-void PlaceboManipulator::init(const GUIEventAdapter& ,GUIActionAdapter& )
-{
-}
-
-void PlaceboManipulator::getUsage(osg::ApplicationUsage& usage) const
-{
-}
-
-bool PlaceboManipulator::handle(const osgGA::GUIEventAdapter& ea, osgGA::GUIActionAdapter& aa, osg::Object*, osg::NodeVisitor* nv)
-{
-	osg::observer_ptr< osgViewer::Viewer > viewer = dynamic_cast<osgViewer::Viewer*>( &aa );
-	if( viewer.valid() && ea.getEventType()==osgGA::GUIEventAdapter::FRAME)
-		modelViewMatrix = viewer->getCamera()->getViewMatrix();
-	else
-		OSG_ALWAYS << "PlaceboManipulator::handle() : Unable to cast osgGA::GUIActionAdapter to osgViewer." << std::endl;
-
-    return false;
-}
-
-void PlaceboManipulator::setByMatrix(const osg::Matrixd& matrix)
-{
-	modelViewMatrix = osg::Matrixd::inverse(matrix);
-}
-
-osg::Matrixd PlaceboManipulator::getMatrix() const
-{
-	return osg::Matrixd::inverse(modelViewMatrix);
-}
-
-osg::Matrixd PlaceboManipulator::getInverseMatrix() const
-{
-	return modelViewMatrix;
-}
Index: perimental/distortionNG/PlaceboManipulator.h
===================================================================
--- /experimental/distortionNG/PlaceboManipulator.h	(revision 403)
+++ 	(revision )
@@ -1,98 +1,0 @@
-#pragma once 
-/* -*-c++-*- osgVisual - Copyright (C) 2009-2011 Torben Dannhauer
- *
- * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
- * the terms of the OpenSceneGraph Public License (OSGPL) version 0.0 or
- * (at your option) any later version.  The full license is in LICENSE file
- * included with this distribution, and on the openscenegraph.org website.
- *
- * osgVisual requires for some proprietary modules a license from the correspondig manufacturer.
- * You have to aquire licenses for all used proprietary modules.
- * 
- * This library is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * OpenSceneGraph Public License for more details.
-*/
-
-#include <osgGA/CameraManipulator>
-#include <osg/Referenced>
-#include <osgViewer/Viewer>
-
-
-namespace osgGA
-{ 
-
-/**
- * \brief This class is a placebo manipulator, which doexs nothing.
- Its purpose is to allow the mixed setup of manipulators together with plain setting of cameras view and projection matrix.
- * 
- * @author Torben Dannhauer
- * @date  Jul 2012
- */ 
-class PlaceboManipulator : public CameraManipulator
-{
-    public:
-		/**
-		 * \brief Constructor
-		 * 
-		 */ 
-        PlaceboManipulator();
-
-		/**
-		 * \brief This function returns the classname.
-		 * 
-		 * @return Classname of this manipulator.
-		 */ 
-        virtual const char* className() const { return "PlaceboManipulator"; }
-
-		/**
-		 * \brief Set the position of the matrix manipulator using a 4x4 Matrix.
-		 * 
-		 * @param matrix : Matrix to set.
-		 */ 
-        virtual void setByMatrix(const osg::Matrixd& matrix);
-
-		/**
-		 * \brief Set the position of the matrix manipulator using a 4x4 Matrix.
-		 * 
-		 * @param matrix : Inverse Matrix to set.
-		 */ 
-        virtual void setByInverseMatrix(const osg::Matrixd& matrix) { setByMatrix(osg::Matrixd::inverse(matrix)); }
-
-        /** get the position of the manipulator as 4x4 Matrix.*/
-        virtual osg::Matrixd getMatrix() const;
-
-        /** get the position of the manipulator as a inverse matrix of the manipulator, typically used as a model view matrix.*/
-        virtual osg::Matrixd getInverseMatrix() const;
-
-		/**
-		 * \brief Start/restart the manipulator.
-		 * 
-		 * No further implementation
-		 * 
-		 * @param ea : GUI eventadapter to use for initialization. 
-		 * @param us : GUI actionadapter to use for initialization. 
-		 */ 
-        virtual void init(const osgGA::GUIEventAdapter& ea, osgGA::GUIActionAdapter& us);
-
-        /** handle events, return true if handled, false otherwise.*/
-		virtual bool handle(const osgGA::GUIEventAdapter& ea,osgGA::GUIActionAdapter& aa, osg::Object*, osg::NodeVisitor* nv);
-
-        /** Get the keyboard and mouse usage of this manipulator.*/
-        virtual void getUsage(osg::ApplicationUsage& usage) const;
-
-
-
-    protected:
-		/**
-		 * \brief Destructor. Because it is protected, no explicit delete myPointer by external caller is possible.
-		 * This forces the class to be used with osg::ref pointers.
-		 */ 
-        virtual ~PlaceboManipulator();
-
-		osg::Matrixd  modelViewMatrix;
-
-};
-
-}	// END NAMESPACE
Index: /experimental/distortionNG/distortionNG.vcproj
===================================================================
--- /experimental/distortionNG/distortionNG.vcproj	(revision 403)
+++ /experimental/distortionNG/distortionNG.vcproj	(revision 404)
@@ -357,8 +357,4 @@
 				>
 			</File>
-			<File
-				RelativePath=".\PlaceboManipulator.cpp"
-				>
-			</File>
 		</Filter>
 		<Filter
@@ -387,8 +383,4 @@
 				>
 			</File>
-			<File
-				RelativePath=".\PlaceboManipulator.h"
-				>
-			</File>
 		</Filter>
 		<Filter
Index: /experimental/distortionNG/main.cpp
===================================================================
--- /experimental/distortionNG/main.cpp	(revision 403)
+++ /experimental/distortionNG/main.cpp	(revision 404)
@@ -38,5 +38,4 @@
 #include "DistortionManipulator.h"
 #include "DistortionSetupStrategyProjectSyntropy.h"
-#include "PlaceboManipulator.h"
 
 int main(int argc, char** argv)
@@ -74,8 +73,7 @@
     keyswitchManipulator->addMatrixManipulator( '3', "Drive", new osgGA::DriveManipulator() );
     keyswitchManipulator->addMatrixManipulator( '4', "Terrain", new osgGA::TerrainManipulator() );
-	keyswitchManipulator->addMatrixManipulator( '5', "Placebo", new osgGA::PlaceboManipulator() );
 
     std::string pathfile;
-    char keyForAnimationPath = '6';
+    char keyForAnimationPath = '5';
     while (arguments.read("-p",pathfile))
     {