Index: experimental/distortionNG/DistortionManipulator.cpp
===================================================================
--- experimental/distortionNG/DistortionManipulator.cpp	(revision 405)
+++ experimental/distortionNG/DistortionManipulator.cpp	(revision 406)
Index: experimental/distortionNG/DistortionSetupStrategyProjectionDesigner.cpp
===================================================================
--- experimental/distortionNG/DistortionSetupStrategyProjectionDesigner.cpp	(revision 406)
+++ experimental/distortionNG/DistortionSetupStrategyProjectionDesigner.cpp	(revision 406)
@@ -0,0 +1,39 @@
+/* osgVisual test. distortionNG, experimental.
+*
+*  Permission is hereby granted, free of charge, to any person obtaining a copy
+*  of this software and associated documentation files (the "Software"), to deal
+*  in the Software without restriction, including without limitation the rights
+*  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+*  copies of the Software, and to permit persons to whom the Software is
+*  furnished to do so, subject to the following conditions:
+*
+*  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+*  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+*  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+*  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+*  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+*  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+*  THE SOFTWARE.
+*/
+
+#include <osg/Vec3d>
+#include <osg/ImageUtils>
+#include <osgDB/ReadFile>
+#include <osgDB/fstream>
+
+#include "DistortionSetupStrategyProjectionDesigner.h"
+
+DistortionSetupStrategyProjectionDesigner::DistortionSetupStrategyProjectionDesigner()
+{
+	_distortionInitialized=false;
+}
+
+DistortionSetupStrategyProjectionDesigner::~DistortionSetupStrategyProjectionDesigner()
+{
+
+}
+
+void DistortionSetupStrategyProjectionDesigner::delegateDistortionSetup(osgViewer::DistortionSet* distortionSet)
+{
+	
+}
Index: experimental/distortionNG/DistortionSetupStrategyProjectionDesigner.h
===================================================================
--- experimental/distortionNG/DistortionSetupStrategyProjectionDesigner.h	(revision 406)
+++ experimental/distortionNG/DistortionSetupStrategyProjectionDesigner.h	(revision 406)
@@ -0,0 +1,40 @@
+/* osgVisual test. distortionNG, experimental.
+*
+*  Permission is hereby granted, free of charge, to any person obtaining a copy
+*  of this software and associated documentation files (the "Software"), to deal
+*  in the Software without restriction, including without limitation the rights
+*  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+*  copies of the Software, and to permit persons to whom the Software is
+*  furnished to do so, subject to the following conditions:
+*
+*  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+*  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+*  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+*  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+*  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+*  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+*  THE SOFTWARE.
+*/
+
+#pragma once
+
+#include "DistortionSetupStrategy.h"
+
+
+/**
+ * \brief "Project Syntropy" Setup Strategy reads setup files of http://www.project-syntropy.de/ and configures the distortion accordingly.
+ * 
+ * @author Torben Dannhauer
+ * @date  Aug 2012
+ */ 
+class DistortionSetupStrategyProjectionDesigner :
+	public DistortionSetupStrategy
+{
+public:
+	DistortionSetupStrategyProjectionDesigner();
+	~DistortionSetupStrategyProjectionDesigner();
+	void delegateDistortionSetup(osgViewer::DistortionSet* distortionSet);
+private:
+	bool _distortionInitialized;				//Is Distortion already initialized?
+
+};
Index: experimental/distortionNG/distortionNG.vcproj
===================================================================
--- experimental/distortionNG/distortionNG.vcproj	(revision 405)
+++ experimental/distortionNG/distortionNG.vcproj	(revision 406)
@@ -346,4 +346,8 @@
 			</File>
 			<File
+				RelativePath=".\DistortionSetupStrategyProjectionDesigner.cpp"
+				>
+			</File>
+			<File
 				RelativePath=".\DistortionSetupStrategyProjectSyntropy.cpp"
 				>
@@ -376,4 +380,8 @@
 			</File>
 			<File
+				RelativePath=".\DistortionSetupStrategyProjectionDesigner.h"
+				>
+			</File>
+			<File
 				RelativePath=".\DistortionSetupStrategyProjectSyntropy.h"
 				>