Index: experimental/osgVisualGuiNG/debug.h
===================================================================
--- experimental/osgVisualGuiNG/debug.h	(revision 415)
+++ experimental/osgVisualGuiNG/debug.h	(revision 415)
@@ -0,0 +1,71 @@
+#ifndef DEBUG_H
+#define DEBUG_H
+
+#include "QtGui"
+
+/**
+class debug
+
+----------- Dieses debug.h hat kein zughöriges .cpp File! --------------
+
+Diese Datei beinhaltet die nötigen Funktionen, um den Messagehandler für die Debugfunktionen auf ein eigenes Text-widget umzuleiten.
+
+@version 1.0
+
+@author Torben Dannhauer
+@date 2008
+*/
+
+/**
+* Pointer auf den TextEdit, in dem die Debugmeldungen erscheinen, sofern die Debug-Meldungen in den Settings aktiviert sind.
+*/
+QTextEdit *deb;
+
+
+/**
+* Diese Funktion setzt den Debug-eigenen Pointer für das Ausgabe-Widget
+* @return void
+* @param deb_ : Pointer auf ein Textfeld, auf dem die Debugmeldungen ab jetzt ausgegeben werden sollen.
+*/
+void setDebugPointer( QTextEdit *deb_ )
+{
+	deb=deb_;
+	deb->resize(500, 700);
+}
+
+
+/**
+* Diese Funktion wird vom Debug-MsgHandler für jede auszugebende Debug-Meldung aufgerufen, nachdem sie in diesen Installiert wurde.
+* @return void
+* @param type : Typ der DebugMeldung
+* @param msg : Auszugebende Debugmeldung
+*/
+void myMessageOutput(QtMsgType type, const char *msg)
+{
+	if (deb==0)  {
+		deb = new QTextEdit;
+		deb->resize(500, 700);
+	}
+	deb->show();
+
+
+	if ( deb->isVisible() )
+	{
+		switch (type) {
+			case QtDebugMsg:
+				deb->append(QString("<b>Debug:</b> ")+QString(msg));
+				break;
+			case QtWarningMsg:
+				deb->append(QString("<font color=\"blue\"><b>Warning:</b> ")+QString(msg)+QString("</font>"));
+				break;
+			case QtCriticalMsg:
+				deb->append(QString("<font color=\"red\"><b>Critical:</b> ")+QString(msg)+QString("</font>"));
+				break;
+			case QtFatalMsg:
+				QMessageBox::critical(0, "Debug - Fatal", msg);
+		} //SwitchENDE
+	}
+}
+
+
+#endif // DEBUG_H
Index: experimental/osgVisualGuiNG/main.cpp
===================================================================
--- experimental/osgVisualGuiNG/main.cpp	(revision 415)
+++ experimental/osgVisualGuiNG/main.cpp	(revision 415)
@@ -0,0 +1,10 @@
+#include "osgvisualgui.h"
+#include <QtGui/QApplication>
+
+int main(int argc, char *argv[])
+{
+	QApplication a(argc, argv);
+	osgVisualGUI w;
+	w.show();
+	return a.exec();
+}
Index: experimental/osgVisualGuiNG/osgVisualGUI.rc
===================================================================
--- experimental/osgVisualGuiNG/osgVisualGUI.rc	(revision 415)
+++ experimental/osgVisualGuiNG/osgVisualGUI.rc	(revision 415)
@@ -0,0 +1,2 @@
+IDI_ICON1		ICON		DISCARDABLE	"osgVisualGUI.ico"
+
Index: experimental/osgVisualGuiNG/osgVisualGUI.sln
===================================================================
--- experimental/osgVisualGuiNG/osgVisualGUI.sln	(revision 415)
+++ experimental/osgVisualGuiNG/osgVisualGUI.sln	(revision 415)
@@ -0,0 +1,20 @@
+﻿
+Microsoft Visual Studio Solution File, Format Version 10.00
+# Visual Studio 2008
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "osgVisualGUI", "osgVisualGUI.vcproj", "{EE903708-0C07-4B76-A5A8-E2ED0CDAD2F6}"
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Win32 = Debug|Win32
+		Release|Win32 = Release|Win32
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{EE903708-0C07-4B76-A5A8-E2ED0CDAD2F6}.Debug|Win32.ActiveCfg = Debug|Win32
+		{EE903708-0C07-4B76-A5A8-E2ED0CDAD2F6}.Debug|Win32.Build.0 = Debug|Win32
+		{EE903708-0C07-4B76-A5A8-E2ED0CDAD2F6}.Release|Win32.ActiveCfg = Release|Win32
+		{EE903708-0C07-4B76-A5A8-E2ED0CDAD2F6}.Release|Win32.Build.0 = Release|Win32
+	EndGlobalSection
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
+	EndGlobalSection
+EndGlobal
Index: experimental/osgVisualGuiNG/osgVisualGUI.vcproj
===================================================================
--- experimental/osgVisualGuiNG/osgVisualGUI.vcproj	(revision 415)
+++ experimental/osgVisualGuiNG/osgVisualGUI.vcproj	(revision 415)
@@ -0,0 +1,380 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="9,00"
+	Name="osgVisualGUI"
+	ProjectGUID="{EE903708-0C07-4B76-A5A8-E2ED0CDAD2F6}"
+	Keyword="Qt4VSv1.0"
+	TargetFrameworkVersion="0"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(SolutionDir)$(ConfigurationName)"
+			ConfigurationType="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories="&quot;.\GeneratedFiles&quot;;&quot;$(QTDIR)\include&quot;;&quot;.\GeneratedFiles\$(ConfigurationName)&quot;;&quot;$(QTDIR)\include\QtCore&quot;;&quot;$(QTDIR)\include\QtGui&quot;;&quot;$(QTDIR)\include\QtXml&quot;;&quot;$(QTDIR)\include\QtNetwork&quot;;&quot;$(QTDIR)\include\ActiveQt&quot;;&quot;$(QTDIR)\include\QtXmlPatterns&quot;;&quot;.\&quot;"
+				PreprocessorDefinitions=",UNICODE,WIN32,QT_LARGEFILE_SUPPORT;QT_NO_DEBUG,NDEBUG;QT_CORE_LIB;QT_GUI_LIB;QT_XML_LIB;QT_NETWORK_LIB;QT_XMLPATTERNS_LIB"
+				RuntimeLibrary="2"
+				TreatWChar_tAsBuiltInType="false"
+				DebugInformationFormat="0"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="qtmain.lib QtCore4.lib QtGui4.lib QtXml4.lib QtNetwork4.lib QAxContainer.lib QtXmlPatterns4.lib"
+				OutputFile="$(OutDir)\$(ProjectName).exe"
+				AdditionalLibraryDirectories="$(QTDIR)\lib"
+				GenerateDebugInformation="false"
+				SubSystem="2"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(SolutionDir)$(ConfigurationName)"
+			ConfigurationType="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				AdditionalIncludeDirectories="&quot;.\GeneratedFiles&quot;;&quot;$(QTDIR)\include&quot;;&quot;.\GeneratedFiles\$(ConfigurationName)&quot;;&quot;$(QTDIR)\include\QtCore&quot;;&quot;$(QTDIR)\include\QtGui&quot;;&quot;$(QTDIR)\include\QtXml&quot;;&quot;$(QTDIR)\include\QtNetwork&quot;;&quot;$(QTDIR)\include\ActiveQt&quot;;&quot;$(QTDIR)\include\QtXmlPatterns&quot;;&quot;.\&quot;"
+				PreprocessorDefinitions=",UNICODE,WIN32,QT_LARGEFILE_SUPPORT;QT_CORE_LIB;QT_GUI_LIB;QT_XML_LIB;QT_NETWORK_LIB;QT_XMLPATTERNS_LIB"
+				RuntimeLibrary="3"
+				TreatWChar_tAsBuiltInType="false"
+				DebugInformationFormat="3"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="qtmaind.lib QtCored4.lib QtGuid4.lib QtXmld4.lib QtNetworkd4.lib QAxContainerd.lib QtXmlPatternsd4.lib"
+				OutputFile="$(OutDir)\$(ProjectName).exe"
+				AdditionalLibraryDirectories="$(QTDIR)\lib"
+				GenerateDebugInformation="true"
+				SubSystem="2"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Dateien"
+			Filter="cpp;cxx;c;def"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath=".\main.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\osgvisualgui.cpp"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Dateien"
+			Filter="h"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath=".\debug.h"
+				>
+			</File>
+			<File
+				RelativePath=".\osgvisualgui.h"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing osgvisualgui.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;   -DUNICODE -DWIN32 -DQT_LARGEFILE_SUPPORT -DQT_NO_DEBUG -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_XMLPATTERNS_LIB  &quot;-I.\GeneratedFiles&quot; &quot;-I$(QTDIR)\include&quot; &quot;-I.\GeneratedFiles\$(ConfigurationName)\.&quot; &quot;-I$(QTDIR)\include\QtCore&quot; &quot;-I$(QTDIR)\include\QtGui&quot; &quot;-I$(QTDIR)\include\QtXml&quot; &quot;-I$(QTDIR)\include\QtNetwork&quot; &quot;-I$(QTDIR)\include\ActiveQt&quot; &quot;-I$(QTDIR)\include\QtXmlPatterns&quot; &quot;-I.&quot; &quot;$(InputPath)&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;$(InputPath)"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Moc&apos;ing osgvisualgui.h..."
+						CommandLine="&quot;$(QTDIR)\bin\moc.exe&quot;   -DUNICODE -DWIN32 -DQT_LARGEFILE_SUPPORT -DQT_CORE_LIB -DQT_GUI_LIB -DQT_XML_LIB -DQT_NETWORK_LIB -DQT_XMLPATTERNS_LIB  &quot;-I.\GeneratedFiles&quot; &quot;-I$(QTDIR)\include&quot; &quot;-I.\GeneratedFiles\$(ConfigurationName)\.&quot; &quot;-I$(QTDIR)\include\QtCore&quot; &quot;-I$(QTDIR)\include\QtGui&quot; &quot;-I$(QTDIR)\include\QtXml&quot; &quot;-I$(QTDIR)\include\QtNetwork&quot; &quot;-I$(QTDIR)\include\ActiveQt&quot; &quot;-I$(QTDIR)\include\QtXmlPatterns&quot; &quot;-I.&quot; &quot;$(InputPath)&quot; -o &quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="&quot;$(QTDIR)\bin\moc.exe&quot;;$(InputPath)"
+						Outputs="&quot;.\GeneratedFiles\$(ConfigurationName)\moc_$(InputName).cpp&quot;"
+					/>
+				</FileConfiguration>
+			</File>
+		</Filter>
+		<Filter
+			Name="Form Dateien"
+			Filter="ui"
+			UniqueIdentifier="{99349809-55BA-4b9d-BF79-8FDBB0286EB3}"
+			>
+			<File
+				RelativePath=".\osgvisualgui.ui"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Uic&apos;ing $(InputFileName)..."
+						CommandLine="&quot;$(QTDIR)\bin\uic.exe&quot; -o &quot;.\GeneratedFiles\ui_$(InputName).h&quot; &quot;$(InputPath)&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe"
+						Outputs="&quot;.\GeneratedFiles\ui_$(InputName).h&quot;"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Uic&apos;ing $(InputFileName)..."
+						CommandLine="&quot;$(QTDIR)\bin\uic.exe&quot; -o &quot;.\GeneratedFiles\ui_$(InputName).h&quot; &quot;$(InputPath)&quot;&#x0D;&#x0A;"
+						AdditionalDependencies="$(QTDIR)\bin\uic.exe"
+						Outputs="&quot;.\GeneratedFiles\ui_$(InputName).h&quot;"
+					/>
+				</FileConfiguration>
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Dateien"
+			Filter="qrc;*"
+			UniqueIdentifier="{D9D6E242-F8AF-46E4-B9FD-80ECBC20BA3E}"
+			ParseFiles="false"
+			>
+			<File
+				RelativePath=".\osgvisualgui.qrc"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Rcc&apos;ing $(InputFileName)..."
+						CommandLine="&quot;$(QTDIR)\bin\rcc.exe&quot; -name &quot;$(InputName)&quot; -no-compress &quot;$(InputPath)&quot; -o .\GeneratedFiles\qrc_$(InputName).cpp&#x0D;&#x0A;"
+						AdditionalDependencies="$(InputPath)"
+						Outputs=".\GeneratedFiles\qrc_$(InputName).cpp"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCustomBuildTool"
+						Description="Rcc&apos;ing $(InputFileName)..."
+						CommandLine="&quot;$(QTDIR)\bin\rcc.exe&quot; -name &quot;$(InputName)&quot; -no-compress &quot;$(InputPath)&quot; -o .\GeneratedFiles\qrc_$(InputName).cpp&#x0D;&#x0A;"
+						AdditionalDependencies="$(InputPath)"
+						Outputs=".\GeneratedFiles\qrc_$(InputName).cpp"
+					/>
+				</FileConfiguration>
+			</File>
+		</Filter>
+		<Filter
+			Name="Generierte Dateien"
+			Filter="moc;h;cpp"
+			UniqueIdentifier="{71ED8ED8-ACB9-4CE9-BBE1-E00B30144E11}"
+			SourceControlFiles="false"
+			>
+			<File
+				RelativePath=".\GeneratedFiles\qrc_osgvisualgui.cpp"
+				>
+				<FileConfiguration
+					Name="Release|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						UsePrecompiledHeader="0"
+					/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Debug|Win32"
+					>
+					<Tool
+						Name="VCCLCompilerTool"
+						UsePrecompiledHeader="0"
+					/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath=".\GeneratedFiles\ui_osgvisualgui.h"
+				>
+			</File>
+			<Filter
+				Name="Release"
+				Filter="cpp;moc"
+				SourceControlFiles="false"
+				>
+				<File
+					RelativePath=".\GeneratedFiles\Release\moc_osgvisualgui.cpp"
+					>
+					<FileConfiguration
+						Name="Debug|Win32"
+						ExcludedFromBuild="true"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+						/>
+					</FileConfiguration>
+				</File>
+			</Filter>
+			<Filter
+				Name="Debug"
+				Filter="cpp;moc"
+				SourceControlFiles="false"
+				>
+				<File
+					RelativePath=".\GeneratedFiles\Debug\moc_osgvisualgui.cpp"
+					>
+					<FileConfiguration
+						Name="Release|Win32"
+						ExcludedFromBuild="true"
+						>
+						<Tool
+							Name="VCCLCompilerTool"
+						/>
+					</FileConfiguration>
+				</File>
+			</Filter>
+		</Filter>
+		<File
+			RelativePath=".\osgVisualGUI.rc"
+			>
+		</File>
+	</Files>
+	<Globals>
+		<Global
+			Name="lreleaseOptions"
+			Value=""
+		/>
+		<Global
+			Name="lupdateOnBuild"
+			Value="0"
+		/>
+		<Global
+			Name="lupdateOptions"
+			Value=""
+		/>
+		<Global
+			Name="MocDir"
+			Value=".\GeneratedFiles\$(ConfigurationName)"
+		/>
+		<Global
+			Name="MocOptions"
+			Value=""
+		/>
+		<Global
+			Name="QtVersion Win32"
+			Value="4.8.1_x86"
+		/>
+		<Global
+			Name="RccDir"
+			Value=".\GeneratedFiles"
+		/>
+		<Global
+			Name="UicDir"
+			Value=".\GeneratedFiles"
+		/>
+	</Globals>
+</VisualStudioProject>
Index: experimental/osgVisualGuiNG/osgvisualgui.cpp
===================================================================
--- experimental/osgVisualGuiNG/osgvisualgui.cpp	(revision 415)
+++ experimental/osgVisualGuiNG/osgvisualgui.cpp	(revision 415)
@@ -0,0 +1,12 @@
+#include "osgvisualgui.h"
+
+osgVisualGUI::osgVisualGUI(QWidget *parent, Qt::WFlags flags)
+	: QMainWindow(parent, flags)
+{
+	ui.setupUi(this);
+}
+
+osgVisualGUI::~osgVisualGUI()
+{
+
+}
Index: experimental/osgVisualGuiNG/osgvisualgui.h
===================================================================
--- experimental/osgVisualGuiNG/osgvisualgui.h	(revision 415)
+++ experimental/osgVisualGuiNG/osgvisualgui.h	(revision 415)
@@ -0,0 +1,19 @@
+#ifndef OSGVISUALGUI_H
+#define OSGVISUALGUI_H
+
+#include <QtGui/QMainWindow>
+#include "ui_osgvisualgui.h"
+
+class osgVisualGUI : public QMainWindow
+{
+	Q_OBJECT
+
+public:
+	osgVisualGUI(QWidget *parent = 0, Qt::WFlags flags = 0);
+	~osgVisualGUI();
+
+private:
+	Ui::osgVisualGUIClass ui;
+};
+
+#endif // OSGVISUALGUI_H
Index: experimental/osgVisualGuiNG/osgvisualgui.qrc
===================================================================
--- experimental/osgVisualGuiNG/osgvisualgui.qrc	(revision 415)
+++ experimental/osgVisualGuiNG/osgvisualgui.qrc	(revision 415)
@@ -0,0 +1,4 @@
+<RCC>
+    <qresource prefix="osgVisualGUI">
+    </qresource>
+</RCC>
Index: experimental/osgVisualGuiNG/osgvisualgui.ui
===================================================================
--- experimental/osgVisualGuiNG/osgvisualgui.ui	(revision 415)
+++ experimental/osgVisualGuiNG/osgvisualgui.ui	(revision 415)
@@ -0,0 +1,29 @@
+<UI version="4.0" >
+ <class>osgVisualGUIClass</class>
+ <widget class="QMainWindow" name="osgVisualGUIClass" >
+  <property name="objectName" >
+   <string notr="true">osgVisualGUIClass</string>
+  </property>
+  <property name="geometry" >
+   <rect>
+	<x>0</x>
+	<y>0</y>
+	<width>600</width>
+	<height>400</height>
+   </rect>
+  </property>
+  <property name="windowTitle" >
+   <string>osgVisualGUI</string>
+  </property>
+  <widget class="QMenuBar" name="menuBar" />
+  <widget class="QToolBar" name="mainToolBar" />
+  <widget class="QWidget" name="centralWidget" />
+  <widget class="QStatusBar" name="statusBar" />
+ </widget>
+ <layoutDefault spacing="6" margin="11" />
+ <pixmapfunction></pixmapfunction>
+ <resources>
+   <include location="osgvisualgui.qrc"/>
+ </resources>
+ <connections/>
+</UI>