Index: perimental/Threading/Threading/ChannelWorker.cpp
===================================================================
--- /experimental/Threading/Threading/ChannelWorker.cpp	(revision 423)
+++ 	(revision )
@@ -1,61 +1,0 @@
-#include "ThreadedWorker.h"
-#include <osg/Notify>
-
-
-ThreadedWorker::ThreadedWorker()
- : _done(false)
-{
-	OSG_ALWAYS<<"ThreadedWorker instantiated."<<std::endl;
-}
-
-ThreadedWorker::~ThreadedWorker()
-{
-	cancel();
-}
-
-void ThreadedWorker::run()
-{
-	OSG_ALWAYS<<"ID "<<getThreadId()<<" running!"<<std::endl;
-
-	// Do the work
-	int i=0;
-	do
-	{
-		OSG_ALWAYS<<"ID "<<getThreadId()<<" :: itr "<<i++<<std::endl;
-
-		// Place Holder
-		for(int i=0;i<100;i++)
-		OSG_ALWAYS<<"";
-
-	} while (!testCancel() && !_done);	// repeat as long it is canceld or set as Done
-}
-
-void ThreadedWorker::setDone(bool done)
-{
-	_done = done;
-}
-
-int ThreadedWorker::cancel()
-{
-    OSG_ALWAYS<<"Cancelling ThreadedWorker "<<this<<" isRunning()="<<isRunning()<<std::endl;
-
-    if( isRunning() )
-    {
-        _done = true;
-
-        OSG_ALWAYS<<"   Doing cancel "<<this<<std::endl;
-
-        // then wait for the the thread to stop running.
-        while(isRunning())
-        {
-            // commenting out debug info as it was cashing crash on exit, presumable
-            // due to OSG_NOTIFY or std::cout destructing earlier than this destructor.
-            //OSG_ALWAYS<<"   Waiting for ThreadedWorker to cancel "<<this<<std::endl;
-            OpenThreads::Thread::YieldCurrentThread();
-        }
-    }
-
-    OSG_ALWAYS<<"  ThreadedWorker::cancel() thread cancelled "<<this<<" isRunning()="<<isRunning()<<std::endl;
-
-    return 0;
-}
Index: perimental/Threading/Threading/ChannelWorker.h
===================================================================
--- /experimental/Threading/Threading/ChannelWorker.h	(revision 423)
+++ 	(revision )
@@ -1,25 +1,0 @@
-#pragma once
-
-#include <osg/Referenced>
-#include <OpenThreads/Thread>
-
-/**
- * \brief This class is a Thread Object which allows to create Functors and attach them to this thread object.
- * 
- * @author Torben Dannhauer
- * @date  Okt 2012
- */ 
-class ThreadedWorker : public osg::Referenced, public OpenThreads::Thread
-{
-public:
-	ThreadedWorker() ;
-	~ThreadedWorker();	//Destroying the thread object will implicit call cancel(), then the function will block until the thread has finished.
-	virtual void run();
-	virtual int cancel();
-	
-	void setDone(bool done);	// sinbgals the thread to stop but returns immediately. Use cancel if you want to wait blocking until the thread is canceled.
-	bool getDone() const { return _done; }	
-
-private:
-	bool _done;
-};
Index: /experimental/Threading/Threading/ThreadedWorker.cpp
===================================================================
--- /experimental/Threading/Threading/ThreadedWorker.cpp	(revision 424)
+++ /experimental/Threading/Threading/ThreadedWorker.cpp	(revision 424)
@@ -0,0 +1,61 @@
+#include "ThreadedWorker.h"
+#include <osg/Notify>
+
+
+ThreadedWorker::ThreadedWorker()
+ : _done(false)
+{
+	OSG_ALWAYS<<"ThreadedWorker instantiated."<<std::endl;
+}
+
+ThreadedWorker::~ThreadedWorker()
+{
+	cancel();
+}
+
+void ThreadedWorker::run()
+{
+	OSG_ALWAYS<<"ID "<<getThreadId()<<" running!"<<std::endl;
+
+	// Do the work
+	int i=0;
+	do
+	{
+		OSG_ALWAYS<<"ID "<<getThreadId()<<" :: itr "<<i++<<std::endl;
+
+		// Place Holder
+		for(int i=0;i<100;i++)
+		OSG_ALWAYS<<"";
+
+	} while (!testCancel() && !_done);	// repeat as long it is canceld or set as Done
+}
+
+void ThreadedWorker::setDone(bool done)
+{
+	_done = done;
+}
+
+int ThreadedWorker::cancel()
+{
+    OSG_ALWAYS<<"Cancelling ThreadedWorker "<<this<<" isRunning()="<<isRunning()<<std::endl;
+
+    if( isRunning() )
+    {
+        _done = true;
+
+        OSG_ALWAYS<<"   Doing cancel "<<this<<std::endl;
+
+        // then wait for the the thread to stop running.
+        while(isRunning())
+        {
+            // commenting out debug info as it was cashing crash on exit, presumable
+            // due to OSG_NOTIFY or std::cout destructing earlier than this destructor.
+            //OSG_ALWAYS<<"   Waiting for ThreadedWorker to cancel "<<this<<std::endl;
+            OpenThreads::Thread::YieldCurrentThread();
+        }
+    }
+
+    OSG_ALWAYS<<"  ThreadedWorker::cancel() thread cancelled "<<this<<" isRunning()="<<isRunning()<<std::endl;
+
+    return 0;
+}
Index: /experimental/Threading/Threading/ThreadedWorker.h
===================================================================
--- /experimental/Threading/Threading/ThreadedWorker.h	(revision 424)
+++ /experimental/Threading/Threading/ThreadedWorker.h	(revision 424)
@@ -0,0 +1,25 @@
+#pragma once
+
+#include <osg/Referenced>
+#include <OpenThreads/Thread>
+
+/**
+ * \brief This class is a Thread Object which allows to create Functors and attach them to this thread object.
+ * 
+ * @author Torben Dannhauer
+ * @date  Okt 2012
+ */ 
+class ThreadedWorker : public osg::Referenced, public OpenThreads::Thread
+{
+public:
+	ThreadedWorker() ;
+	~ThreadedWorker();	//Destroying the thread object will implicit call cancel(), then the function will block until the thread has finished.
+	virtual void run();
+	virtual int cancel();
+	
+	void setDone(bool done);	// sinbgals the thread to stop but returns immediately. Use cancel if you want to wait blocking until the thread is canceled.
+	bool getDone() const { return _done; }	
+
+private:
+	bool _done;
+};
Index: /experimental/Threading/Threading/Threading.vcproj
===================================================================
--- /experimental/Threading/Threading/Threading.vcproj	(revision 423)
+++ /experimental/Threading/Threading/Threading.vcproj	(revision 424)
@@ -182,8 +182,4 @@
 			>
 			<File
-				RelativePath=".\ChannelWorker.cpp"
-				>
-			</File>
-			<File
 				RelativePath=".\main.cpp"
 				>
@@ -191,4 +187,8 @@
 			<File
 				RelativePath=".\SimHost.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ThreadedWorker.cpp"
 				>
 			</File>
@@ -204,9 +204,9 @@
 			>
 			<File
-				RelativePath=".\ChannelWorker.h"
-				>
-			</File>
-			<File
 				RelativePath=".\SimHost.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ThreadedWorker.h"
 				>
 			</File>